Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588660 - cannot access /dev/rfkill so fails to start and work
Summary: cannot access /dev/rfkill so fails to start and work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 08:38 UTC by Rudolf Kastl
Modified: 2010-10-12 22:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-03 16:38:33 UTC


Attachments (Terms of Use)

Description Rudolf Kastl 2010-05-04 08:38:59 UTC
Description of problem:
when trying out gnome really quick on my rawhide install i noticed:
bluetooth-applet 

** (bluetooth-applet:4496): WARNING **: Could not open RFKILL control device, please verify your installation

-d doesnet show any more info... chmod 666 on /dev/rfkill makes it work as expected as non root user.

Version-Release number of selected component (if applicable):
gnome-bluetooth-2.30.0-1.fc14.x86_64

How reproducible:
always

Comment 1 Bastien Nocera 2010-05-14 10:25:35 UTC
We install a rule (61-gnome-bluetooth-rfkill.rules) that should make the rfkill device available to the current user at the console.

Can you reproduce that problem? What's the output of "ck-list-sessions" and "getfacl /dev/rfkill" when the problem happens?

The content of the file:
# Get access to /dev/rfkill for users
# See https://bugzilla.redhat.com/show_bug.cgi?id=514798
KERNEL=="rfkill", ENV{ACL_MANAGE}="1"

Comment 2 sa 2010-05-19 00:03:52 UTC
Hi,

Apologies in advance for barging on a Fedora bug, but I noticed the same problem in Debian, and tracked it down to an udev upgrade (rawhide seems to use the same version, 154). When I reported it as a bug the udev maintainer responded:

"Other packages must not set ENV{ACL_MANAGE} (or the new tag which
replaced it).
gnome-bluetooth maintainer: for more information please discuss this
on the linux-hotplug@vger mailing list."

http://bugs.debian.org/582188

Comment 4 Bastien Nocera 2010-06-03 16:38:33 UTC
(In reply to comment #2)
> Hi,
> 
> Apologies in advance for barging on a Fedora bug, but I noticed the same
> problem in Debian, and tracked it down to an udev upgrade (rawhide seems to use
> the same version, 154). When I reported it as a bug the udev maintainer
> responded:
> 
> "Other packages must not set ENV{ACL_MANAGE} (or the new tag which
> replaced it).
> gnome-bluetooth maintainer: for more information please discuss this
> on the linux-hotplug@vger mailing list."
> 
> http://bugs.debian.org/582188    

Thanks, though I'd like to ask why a bluetoothd problem got added to the equation, given that it runs as root and should be able to access /dev/rfkill anyways.

Fixed in gnome-bluetooth-2.30.0-2.fc14

(I double-checked that udev >= 154 wasn't in any other versions of the distribution either, to be sure).

Did you already fix the problem for other packages that use ACL_MANAGE such as libmtp, or pilot-link?

Comment 5 Alex Lancaster 2010-10-12 22:20:08 UTC
(In reply to comment #4)

> (I double-checked that udev >= 154 wasn't in any other versions of the
> distribution either, to be sure).
> 
> Did you already fix the problem for other packages that use ACL_MANAGE such as
> libmtp, or pilot-link?

This issue definitely bites pilot-link, filed bug #642435.


Note You need to log in before you can comment on or make changes to this bug.